QIconFactory(3qt)

NAME
QIconFactory - Used to create pixmaps for a QIconSet

SYNOPSIS
#include <qiconset.h>

Inherits QObject.

  Public Members
QIconFactory ( QObject * parent = 0, const char * name = 0 )
~QIconFactory ()
virtual QPixmap * createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )

  Static Public Members
QIconFactory * defaultFactory ()
void installDefaultFactory ( QIconFactory * factory )

DESCRIPTION
The QIconFactory class is used to create pixmaps for a QIconSet.

By reimplementing createPixmap(), you can override QIconSet's default algorithm for computing pixmaps not supplied by the user.

See also QIconSet and Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QIconFactory::QIconFactory ( QObject * parent = 0, const char * name = 0 )
Constructs an icon factory with parent parent and name name.

QIconFactory::~QIconFactory ()
Destroys the object and frees any allocated resources.

QPixmap * QIconFactory::createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state ) [virtual]
Ceates a pixmap for iconSet with a certain size, mode, and state. Returns 0 if the default QIconSet algorithm should be used to create a pixmap that wasn't supplied by the user.

It is the caller's responsability to delete the returned object.

The default implementation always returns 0.

QIconFactory * QIconFactory::defaultFactory () [static]
Returns the default icon factory.

See also installDefaultFactory().

void QIconFactory::installDefaultFactory ( QIconFactory * factory ) [static]
Replaces the default icon factory with factory.

QIconFactory takes ownership of factory, and destroys it when it is no longer needed.

SEE ALSO
http://doc.trolltech.com/qiconfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qiconfactory.3qt) and the Qt version (3.1.0-b1).